public static interface DisruptorEndpointBuilderFactory.DisruptorBuilders
| Modifier and Type | Method and Description |
|---|---|
default DisruptorEndpointBuilderFactory.DisruptorEndpointBuilder |
disruptor(String path)
Disruptor (camel-disruptor)
Provides asynchronous SEDA behavior using LMAX Disruptor.
|
default DisruptorEndpointBuilderFactory.DisruptorEndpointBuilder |
disruptor(String componentName,
String path)
Disruptor (camel-disruptor)
Provides asynchronous SEDA behavior using LMAX Disruptor.
|
default DisruptorEndpointBuilderFactory.DisruptorEndpointBuilder disruptor(String path)
disruptor:name
Path parameter: name (required)
Name of queuepath - namedefault DisruptorEndpointBuilderFactory.DisruptorEndpointBuilder disruptor(String componentName, String path)
disruptor:name
Path parameter: name (required)
Name of queuecomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel